Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.ast
Class DefaultVisitor

    java.lang.Object
      javafe.ast.Visitor
          javafe.ast.DefaultVisitor

public class DefaultVisitor
extends Visitor

Constructor Summary
`DefaultVisitor()`

Method Summary
`void` | `visitAmbiguousMethodInvocation(AmbiguousMethodInvocation x)`
`void` | `visitAmbiguousVariableAccess(AmbiguousVariableAccess x)`
`void` | `visitArrayInit(ArrayInit x)`
`void` | `visitArrayRefExpr(ArrayRefExpr x)`
`void` | `visitArrayType(ArrayType x)`
`void` | `visitASTNode(ASTNode x)`
`void` | `visitBinaryExpr(BinaryExpr x)`
`void` | `visitBlockStmt(BlockStmt x)`
`void` | `visitBranchStmt(BranchStmt x)`
`void` | `visitBreakStmt(BreakStmt x)`
`void` | `visitCastExpr(CastExpr x)`
`void` | `visitCatchClause(CatchClause x)`
`void` | `visitClassDecl(ClassDecl x)`
`void` | `visitClassDeclStmt(ClassDeclStmt x)`
`void` | `visitClassLiteral(ClassLiteral x)`
`void` | `visitCompilationUnit(CompilationUnit x)`
`void` | `visitCondExpr(CondExpr x)`
`void` | `visitConstructorDecl(ConstructorDecl x)`
`void` | `visitConstructorInvocation(ConstructorInvocation x)`
`void` | `visitContinueStmt(ContinueStmt x)`
`void` | `visitDoStmt(DoStmt x)`
`void` | `visitEvalStmt(EvalStmt x)`
`void` | `visitExpr(Expr x)`
`void` | `visitExprObjectDesignator(ExprObjectDesignator x)`
`void` | `visitFieldAccess(FieldAccess x)`
`void` | `visitFieldDecl(FieldDecl x)`
`void` | `visitFormalParaDecl(FormalParaDecl x)`
`void` | `visitForStmt(ForStmt x)`
`void` | `visitGenericBlockStmt(GenericBlockStmt x)`
`void` | `visitGenericVarDecl(GenericVarDecl x)`
`void` | `visitIfStmt(IfStmt x)`
`void` | `visitInitBlock(InitBlock x)`
`void` | `visitInstanceOfExpr(InstanceOfExpr x)`
`void` | `visitInterfaceDecl(InterfaceDecl x)`
`void` | `visitLabelStmt(LabelStmt x)`
`void` | `visitLexicalPragma(LexicalPragma x)`
`void` | `visitLiteralExpr(LiteralExpr x)`
`void` | `visitLocalVarDecl(LocalVarDecl x)`
`void` | `visitMethodDecl(MethodDecl x)`
`void` | `visitMethodInvocation(MethodInvocation x)`
`void` | `visitModifierPragma(ModifierPragma x)`
`void` | `visitName(Name x)`
`void` | `visitNewArrayExpr(NewArrayExpr x)`
`void` | `visitNewInstanceExpr(NewInstanceExpr x)`
`void` | `visitParenExpr(ParenExpr x)`
`void` | `visitPrimitiveType(PrimitiveType x)`
`void` | `visitReturnStmt(ReturnStmt x)`
`void` | `visitRoutineDecl(RoutineDecl x)`
`void` | `visitSkipStmt(SkipStmt x)`
`void` | `visitStmtPragma(StmtPragma x)`
`void` | `visitSuperObjectDesignator(SuperObjectDesignator x)`
`void` | `visitSwitchLabel(SwitchLabel x)`
`void` | `visitSwitchStmt(SwitchStmt x)`
`void` | `visitSynchronizeStmt(SynchronizeStmt x)`
`void` | `visitThisExpr(ThisExpr x)`
`void` | `visitThrowStmt(ThrowStmt x)`
`void` | `visitTryCatchStmt(TryCatchStmt x)`
`void` | `visitTryFinallyStmt(TryFinallyStmt x)`
`void` | `visitType(Type x)`
`void` | `visitTypeDecl(TypeDecl x)`
`void` | `visitTypeDeclElemPragma(TypeDeclElemPragma x)`
`void` | `visitTypeModifierPragma(TypeModifierPragma x)`
`void` | `visitTypeName(TypeName x)`
`void` | `visitTypeObjectDesignator(TypeObjectDesignator x)`
`void` | `visitUnaryExpr(UnaryExpr x)`
`void` | `visitVarDeclStmt(VarDeclStmt x)`
`void` | `visitVariableAccess(VariableAccess x)`
`void` | `visitWhileStmt(WhileStmt x)`

Methods inherited from class javafe.ast.Visitor
`visitAssertStmt, visitCompoundName, visitErrorType, visitImportDecl, visitObjectDesignator, visitOnDemandImportDecl, visitSimpleName, visitSingleTypeImportDecl, visitStmt, visitVarInit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultVisitor

    public DefaultVisitor()

Method Detail

### visitASTNode

    public void visitASTNode(ASTNode x)

  Specified by:
    `visitASTNode` in class `Visitor`

### visitModifierPragma

    public void visitModifierPragma(ModifierPragma x)

  Overrides:
    `visitModifierPragma` in class `Visitor`

### visitTypeDeclElemPragma

    public void visitTypeDeclElemPragma(TypeDeclElemPragma x)

  Overrides:
    `visitTypeDeclElemPragma` in class `Visitor`

### visitStmtPragma

    public void visitStmtPragma(StmtPragma x)

  Overrides:
    `visitStmtPragma` in class `Visitor`

### visitTypeModifierPragma

    public void visitTypeModifierPragma(TypeModifierPragma x)

  Overrides:
    `visitTypeModifierPragma` in class `Visitor`

### visitLexicalPragma

    public void visitLexicalPragma(LexicalPragma x)

  Overrides:
    `visitLexicalPragma` in class `Visitor`

### visitCompilationUnit

    public void visitCompilationUnit(CompilationUnit x)

  Overrides:
    `visitCompilationUnit` in class `Visitor`

### visitTypeDecl

    public void visitTypeDecl(TypeDecl x)

  Overrides:
    `visitTypeDecl` in class `Visitor`

### visitClassDecl

    public void visitClassDecl(ClassDecl x)

  Overrides:
    `visitClassDecl` in class `Visitor`

### visitInterfaceDecl

    public void visitInterfaceDecl(InterfaceDecl x)

  Overrides:
    `visitInterfaceDecl` in class `Visitor`

### visitRoutineDecl

    public void visitRoutineDecl(RoutineDecl x)

  Overrides:
    `visitRoutineDecl` in class `Visitor`

### visitConstructorDecl

    public void visitConstructorDecl(ConstructorDecl x)

  Overrides:
    `visitConstructorDecl` in class `Visitor`

### visitMethodDecl

    public void visitMethodDecl(MethodDecl x)

  Overrides:
    `visitMethodDecl` in class `Visitor`

### visitInitBlock

    public void visitInitBlock(InitBlock x)

  Overrides:
    `visitInitBlock` in class `Visitor`

### visitGenericVarDecl

    public void visitGenericVarDecl(GenericVarDecl x)

  Overrides:
    `visitGenericVarDecl` in class `Visitor`

### visitLocalVarDecl

    public void visitLocalVarDecl(LocalVarDecl x)

  Overrides:
    `visitLocalVarDecl` in class `Visitor`

### visitFieldDecl

    public void visitFieldDecl(FieldDecl x)

  Overrides:
    `visitFieldDecl` in class `Visitor`

### visitFormalParaDecl

    public void visitFormalParaDecl(FormalParaDecl x)

  Overrides:
    `visitFormalParaDecl` in class `Visitor`

### visitGenericBlockStmt

    public void visitGenericBlockStmt(GenericBlockStmt x)

  Overrides:
    `visitGenericBlockStmt` in class `Visitor`

### visitBlockStmt

    public void visitBlockStmt(BlockStmt x)

  Overrides:
    `visitBlockStmt` in class `Visitor`

### visitSwitchStmt

    public void visitSwitchStmt(SwitchStmt x)

  Overrides:
    `visitSwitchStmt` in class `Visitor`

### visitClassDeclStmt

    public void visitClassDeclStmt(ClassDeclStmt x)

  Overrides:
    `visitClassDeclStmt` in class `Visitor`

### visitVarDeclStmt

    public void visitVarDeclStmt(VarDeclStmt x)

  Overrides:
    `visitVarDeclStmt` in class `Visitor`

### visitWhileStmt

    public void visitWhileStmt(WhileStmt x)

  Overrides:
    `visitWhileStmt` in class `Visitor`

### visitDoStmt

    public void visitDoStmt(DoStmt x)

  Overrides:
    `visitDoStmt` in class `Visitor`

### visitSynchronizeStmt

    public void visitSynchronizeStmt(SynchronizeStmt x)

  Overrides:
    `visitSynchronizeStmt` in class `Visitor`

### visitEvalStmt

    public void visitEvalStmt(EvalStmt x)

  Overrides:
    `visitEvalStmt` in class `Visitor`

### visitReturnStmt

    public void visitReturnStmt(ReturnStmt x)

  Overrides:
    `visitReturnStmt` in class `Visitor`

### visitThrowStmt

    public void visitThrowStmt(ThrowStmt x)

  Overrides:
    `visitThrowStmt` in class `Visitor`

### visitBranchStmt

    public void visitBranchStmt(BranchStmt x)

  Overrides:
    `visitBranchStmt` in class `Visitor`

### visitBreakStmt

    public void visitBreakStmt(BreakStmt x)

  Overrides:
    `visitBreakStmt` in class `Visitor`

### visitContinueStmt

    public void visitContinueStmt(ContinueStmt x)

  Overrides:
    `visitContinueStmt` in class `Visitor`

### visitLabelStmt

    public void visitLabelStmt(LabelStmt x)

  Overrides:
    `visitLabelStmt` in class `Visitor`

### visitIfStmt

    public void visitIfStmt(IfStmt x)

  Overrides:
    `visitIfStmt` in class `Visitor`

### visitForStmt

    public void visitForStmt(ForStmt x)

  Overrides:
    `visitForStmt` in class `Visitor`

### visitSkipStmt

    public void visitSkipStmt(SkipStmt x)

  Overrides:
    `visitSkipStmt` in class `Visitor`

### visitSwitchLabel

    public void visitSwitchLabel(SwitchLabel x)

  Overrides:
    `visitSwitchLabel` in class `Visitor`

### visitTryFinallyStmt

    public void visitTryFinallyStmt(TryFinallyStmt x)

  Overrides:
    `visitTryFinallyStmt` in class `Visitor`

### visitTryCatchStmt

    public void visitTryCatchStmt(TryCatchStmt x)

  Overrides:
    `visitTryCatchStmt` in class `Visitor`

### visitConstructorInvocation

    public void visitConstructorInvocation(ConstructorInvocation x)

  Overrides:
    `visitConstructorInvocation` in class `Visitor`

### visitCatchClause

    public void visitCatchClause(CatchClause x)

  Overrides:
    `visitCatchClause` in class `Visitor`

### visitArrayInit

    public void visitArrayInit(ArrayInit x)

  Overrides:
    `visitArrayInit` in class `Visitor`

### visitExpr

    public void visitExpr(Expr x)

  Overrides:
    `visitExpr` in class `Visitor`

### visitThisExpr

    public void visitThisExpr(ThisExpr x)

  Overrides:
    `visitThisExpr` in class `Visitor`

### visitLiteralExpr

    public void visitLiteralExpr(LiteralExpr x)

  Overrides:
    `visitLiteralExpr` in class `Visitor`

### visitArrayRefExpr

    public void visitArrayRefExpr(ArrayRefExpr x)

  Overrides:
    `visitArrayRefExpr` in class `Visitor`

### visitNewInstanceExpr

    public void visitNewInstanceExpr(NewInstanceExpr x)

  Overrides:
    `visitNewInstanceExpr` in class `Visitor`

### visitNewArrayExpr

    public void visitNewArrayExpr(NewArrayExpr x)

  Overrides:
    `visitNewArrayExpr` in class `Visitor`

### visitCondExpr

    public void visitCondExpr(CondExpr x)

  Overrides:
    `visitCondExpr` in class `Visitor`

### visitInstanceOfExpr

    public void visitInstanceOfExpr(InstanceOfExpr x)

  Overrides:
    `visitInstanceOfExpr` in class `Visitor`

### visitCastExpr

    public void visitCastExpr(CastExpr x)

  Overrides:
    `visitCastExpr` in class `Visitor`

### visitBinaryExpr

    public void visitBinaryExpr(BinaryExpr x)

  Overrides:
    `visitBinaryExpr` in class `Visitor`

### visitUnaryExpr

    public void visitUnaryExpr(UnaryExpr x)

  Overrides:
    `visitUnaryExpr` in class `Visitor`

### visitParenExpr

    public void visitParenExpr(ParenExpr x)

  Overrides:
    `visitParenExpr` in class `Visitor`

### visitAmbiguousVariableAccess

    public void visitAmbiguousVariableAccess(AmbiguousVariableAccess x)

  Overrides:
    `visitAmbiguousVariableAccess` in class `Visitor`

### visitVariableAccess

    public void visitVariableAccess(VariableAccess x)

  Overrides:
    `visitVariableAccess` in class `Visitor`

### visitFieldAccess

    public void visitFieldAccess(FieldAccess x)

  Overrides:
    `visitFieldAccess` in class `Visitor`

### visitAmbiguousMethodInvocation

    public void visitAmbiguousMethodInvocation(AmbiguousMethodInvocation x)

  Overrides:
    `visitAmbiguousMethodInvocation` in class `Visitor`

### visitMethodInvocation

    public void visitMethodInvocation(MethodInvocation x)

  Overrides:
    `visitMethodInvocation` in class `Visitor`

### visitClassLiteral

    public void visitClassLiteral(ClassLiteral x)

  Overrides:
    `visitClassLiteral` in class `Visitor`

### visitExprObjectDesignator

    public void visitExprObjectDesignator(ExprObjectDesignator x)

  Overrides:
    `visitExprObjectDesignator` in class `Visitor`

### visitTypeObjectDesignator

    public void visitTypeObjectDesignator(TypeObjectDesignator x)

  Overrides:
    `visitTypeObjectDesignator` in class `Visitor`

### visitSuperObjectDesignator

    public void visitSuperObjectDesignator(SuperObjectDesignator x)

  Overrides:
    `visitSuperObjectDesignator` in class `Visitor`

### visitPrimitiveType

    public void visitPrimitiveType(PrimitiveType x)

  Overrides:
    `visitPrimitiveType` in class `Visitor`

### visitTypeName

    public void visitTypeName(TypeName x)

  Overrides:
    `visitTypeName` in class `Visitor`

### visitArrayType

    public void visitArrayType(ArrayType x)

  Overrides:
    `visitArrayType` in class `Visitor`

### visitType

    public void visitType(Type x)

  Overrides:
    `visitType` in class `Visitor`

### visitName

    public void visitName(Name x)

  Overrides:
    `visitName` in class `Visitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage